<?php
/**
 * contentinum - accessibility websites
 *
 * LICENSE
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * @category contentinum backend
 * @package Controller
 * @author Michael Jochum, michael.jochum@jochum-mediaservices.de
 * @copyright Copyright (c) 2009-2013 jochum-mediaservices, Katja Jochum (http://www.jochum-mediaservices.de)
 * @license http://www.opensource.org/licenses/bsd-license
 * @since contentinum version 5.0
 * @link      https://github.com/Mikel1961/contentinum-components
 * @version   1.0.0
 */
namespace Mcwork\Controller;


use ContentinumComponents\Controller\AbstractMcworkController;



class DeleteController extends AbstractMcworkController
{
    public function application($pageOptions, $defaultRole = null, $acl = null)
    {
        
        $redirectUrl = $pageOptions->getAppOption('settoroute');
        $id = $this->params()->fromRoute('id', false);
                
        $cat = '';
        if (false !== ($cat = $this->params()->fromRoute('cat', false))){
            $cat = '/'  . $cat;
        }        

        if (false === $id){
            if (true === $this->getXmlHttpRequest()){
                print false;
                exit();
            }
            return $this->redirect()->toUrl( $redirectUrl . $cat );
        } 

        try {
            $msg = $this->worker->execute($id);
            if (true === $this->getXmlHttpRequest()){
                print true;
                exit();
            }            
        } catch (\Exception $e){
            if (true === $this->getXmlHttpRequest()){
                print false;
                exit();
            }            
            $msg = 'ERROR: ' . $e->getMessage();
        }
    
        $this->flashMessenger()->setNamespace('mcwork-controller')->addMessage($msg);
        return $this->redirect()->toUrl( $redirectUrl . $cat );
    }
}